| Home | Libraries | People | FAQ | More

## Function erase_range_copy

boost::algorithm::erase_range_copy — Erase range algorithm.

## Synopsis

    template<typename OutputIteratorT, typename CollectionT>
      OutputIteratorT
      erase_range_copy(OutputIteratorT Output, const CollectionT & Input,
                       const iterator_range< typename const_iterator_of< CollectionT >::type > & SearchRange);
    template<typename SequenceT>
      SequenceT erase_range_copy(const SequenceT & Input,
                                 const iterator_range< typename const_iterator_of< SequenceT >::type > & SearchRange);

## Description

Remove the given range from the input. The result is a modified copy of the input. It is returned as a sequence or copied to the output iterator.

Parameters

Input

  An input sequence

Output

  An output iterator to which the result will be copied

SearchRange

  A range in the input to be removed

Returns: An output iterator pointing just after the last inserted character or a modified copy of the input
Notes: The second variant of this function provides the strong exception-safety guarantee

| Copyright © 2002-2004 Pavol Droba